# COPR Ligenix's spec file for glpi-plugin-metademands
#
# Copyright (c) 2023-2023 Jean-Marc Liger 
#
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global pluginname geststock
%global glpi_min   10.0.0
%global glpi_max   10.1.0


Name:           glpi-plugin-%{pluginname}
Version:        2.1.0
Release:        1%{?dist}
Summary:        GLPI Plugin to manage stock
Summary(fr):    Extension GLPI de gestion du stock

License:        GPLv2+
URL:            https://github.com/yllen/%{pluginname}
  
Source0:        https://github.com/yllen/%{pluginname}/releases/download/v%{version}/glpi-%{pluginname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  gettext

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:      (glpi >= %{glpi_min} with glpi < %{glpi_max})
%else
Requires:       glpi >= %{glpi_min}
Requires:       glpi <  %{glpi_max}
Requires:       glpi-plugin-pdf
%endif


%description
This plugin allows you to manage in a global way the stock of asset items and this for all entities.
An entity reserves an asset and the routing is followed since the output of the stock to the requested entity.


%description -l fr
Cette extension permet de gérer d'une manière globale le stock des éléments de l'inventaire et ce pour toutes les entités.
Une entité réserve un matériel et l'acheminement est suivi du départ du stock jusqu'à l'entité demandresse.


%prep
%setup -q -c 

# display compatibility check
grep 'min' %{pluginname}/setup.php

# remove unused files
rm %{pluginname}/diffGLPI10.txt
rm %{pluginname}/%{pluginname}.xml

# move doc files
mkdir docs
mv %{pluginname}/README.md docs/


%build
# regenerate the locales
for po in %{pluginname}/locales/*.po
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
mkdir -p %{buildroot}/%{_datadir}/glpi/plugins
cp -ar %{pluginname} %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}

for i in %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}/locales/*
do
  lang=$(basename $i)
  echo "%lang(${lang:0:2}) %{_datadir}/glpi/plugins/%{pluginname}/locales/${lang}"
done | tee %{name}.lang


%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%doc docs/*
%dir %{_datadir}/glpi/plugins/%{pluginname}
%dir %{_datadir}/glpi/plugins/%{pluginname}/locales
%{_datadir}/glpi/plugins/%{pluginname}/*.php
%{_datadir}/glpi/plugins/%{pluginname}/ajax
%{_datadir}/glpi/plugins/%{pluginname}/front
%{_datadir}/glpi/plugins/%{pluginname}/inc


%changelog
* Tue May 02 2023 Jean-Marc Liger <ligenix@iscp.fr> - 2.1.0-1
- Version 2.1.0 for GLPI 10.0.x

* Tue May 02 2023 Jean-Marc Liger <ligenix@iscp.fr> - 2.0.0-1
- Version 2.0.0 for GLPI 9.5.x
- Initial RPM based on Remi Collet previous GLPI plugins spec files
